summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-util/android-tools
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-util/android-tools')
-rw-r--r--dev-util/android-tools/Manifest3
-rw-r--r--dev-util/android-tools/android-tools-0_p20130218.ebuild56
-rw-r--r--dev-util/android-tools/metadata.xml15
3 files changed, 74 insertions, 0 deletions
diff --git a/dev-util/android-tools/Manifest b/dev-util/android-tools/Manifest
new file mode 100644
index 00000000000..7a1e58d0d1e
--- /dev/null
+++ b/dev-util/android-tools/Manifest
@@ -0,0 +1,3 @@
+DIST android-tools-e89e09dd2b9b42184973e3ade291186a2737bced.patch 1115 SHA256 3bac2ec91d6d53cc7a2bd31f0670ff2e560b15d8722d3961e7b24b2f41cf5932 SHA512 2239e883269dc2cbd9f25dde9159cff8de8525b021ea9e2a243d4553e60c28398cb8e830117cc20e7cfe1b951f2841430e9bc950916d30b0f6c9e6dbd154f6b9 WHIRLPOOL 1bdbb65ebbf94e8c732f4893f090f895d24173928f6cc48b53160595449efc0457130ab67e6be132f77763110fd08e7aeba6701effa27de6fe3c0bdc0d82a8d1
+DIST android-tools_4.2.2+git20130218-3ubuntu36.debian.tar.gz 152459 SHA256 1bb63a418dc785277173ce971711a86f66d35d4ca7053cd1ff4afff8001cc7a6 SHA512 8e03fa08433f0cc358855d116926e50f0e6346c29ab3d1a865eb5b0e3be00091d861bd3ac2f3bc236a9028b35bf40988ab8130f566c3aca8c4ccbd7066a317f9 WHIRLPOOL 50c152c32a6d7f505a86faf24d2645053362073608990228eaa88f25e86c54b2a4dcab51f8d52941af493ac68628cf75c2abd320ec7c80a7aa89431277578e6c
+DIST android-tools_4.2.2+git20130218.orig.tar.xz 215868 SHA256 9bfba987e1351b12aa983787b9ae4424ab752e9e646d8e93771538dc1e5d932f SHA512 c5bfd3c8e514809db257ba5559c865742768b7520b38aa2f53185aff5c328e5cf7fb328a6ff6450eeddd5056985f232d492eba63a87978440e2147e26d62f458 WHIRLPOOL 0ad784e8524adf1d23958336b73f22fe504074b85c93f17e023a10e57f4e413d8b803c619a0dd7ff495ff8910681d3023932d7a87a008f3e44bacbe6c1fd70a4
diff --git a/dev-util/android-tools/android-tools-0_p20130218.ebuild b/dev-util/android-tools/android-tools-0_p20130218.ebuild
new file mode 100644
index 00000000000..91c0f05b7ff
--- /dev/null
+++ b/dev-util/android-tools/android-tools-0_p20130218.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils toolchain-funcs
+
+MY_VERSION="${PV##*_p}"
+GIT_SHA1="e89e09dd2b9b42184973e3ade291186a2737bced"
+
+DESCRIPTION="Android platform tools (adb and fastboot)"
+HOMEPAGE="https://android.googlesource.com/platform/system/core.git/"
+SRC_URI="https://launchpad.net/ubuntu/+archive/primary/+files/android-tools_4.2.2+git${MY_VERSION}.orig.tar.xz
+ https://launchpad.net/ubuntu/+archive/primary/+files/android-tools_4.2.2+git${MY_VERSION}-3ubuntu36.debian.tar.gz
+ https://github.com/android/platform_system_core/commit/${GIT_SHA1}.patch -> ${PN}-${GIT_SHA1}.patch"
+
+# The entire source code is Apache-2.0, except for fastboot which is BSD.
+LICENSE="Apache-2.0 BSD"
+SLOT="0"
+KEYWORDS="amd64 x86 ~arm-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="sys-libs/zlib:=
+ dev-libs/openssl:0="
+
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${PN}
+
+src_prepare() {
+ pushd core >/dev/null || die
+ epatch "${DISTDIR}"/${PN}-${GIT_SHA1}.patch #500480
+ popd >/dev/null
+ epatch ../debian/patches/*.patch
+ mv ../debian/makefiles/adb.mk core/adb/Makefile || die
+ mv ../debian/makefiles/fastboot.mk core/fastboot/Makefile || die
+
+ # Avoid libselinux dependency.
+ sed -e 's: -lselinux::' -i core/fastboot/Makefile || die
+ sed -e '/#include <selinux\/selinux.h>/d' \
+ -e 's:#include <selinux/label.h>:struct selabel_handle;:' \
+ -i extras/ext4_utils/make_ext4fs.h || die
+ sed -e '62,63d;180,189d;231,234d;272,274d;564,579d' \
+ -i extras/ext4_utils/make_ext4fs.c || die
+
+ tc-export CC
+}
+
+src_compile() {
+ emake -C core/adb adb
+ emake -C core/fastboot fastboot
+}
+
+src_install() {
+ dobin core/adb/adb core/fastboot/fastboot
+}
diff --git a/dev-util/android-tools/metadata.xml b/dev-util/android-tools/metadata.xml
new file mode 100644
index 00000000000..c6894f04dc6
--- /dev/null
+++ b/dev-util/android-tools/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <upstream>
+ <bugs-to>https://code.google.com/p/android/issues/list</bugs-to>
+ <changelog>https://android.googlesource.com/platform/system/core.git/+log/HEAD</changelog>
+ <doc>https://android.googlesource.com/platform/system/core.git/+/master/adb/OVERVIEW.TXT</doc>
+ <remote-id type="github">android/platform_system_core</remote-id>
+ <remote-id type="launchpad">ubuntu</remote-id>
+ </upstream>
+ <maintainer>
+ <email>zmedico@gentoo.org</email>
+ <name>Zac Medico</name>
+ </maintainer>
+</pkgmetadata>